Bug 574977

Summary: Review Request: rubygem-amqp - AMQP client implementation in Ruby/EventMachine
Product: [Fedora] Fedora Reporter: Matthew Kent <mkent>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, mastahnke, notting, tcallawa
Target Milestone: ---Flags: mtasaka: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: rubygem-amqp-0.6.7-2.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-10 16:56:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Matthew Kent 2010-03-19 01:33:05 UTC
Spec URL: http://magoazul.com/wip/SPECS/rubygem-amqp.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-amqp-0.6.7-1.fc14.src.rpm
Description: An implementation of the AMQP protocol in Ruby/EventMachine for writing clients to the RabbitMQ message broker.

rpmlint /var/tmp/results/rubygem-amqp-* | grep -v '/1.8/doc/'
rubygem-amqp.src: W: no-buildroot-tag
rubygem-amqp-doc.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 8 warnings.
(skipping the unexpanded-macro warnings in docs)

Build logs here https://koji.fedoraproject.org/koji/taskinfo?taskID=2062259

No test suite is provided by the author.

Comment 1 Mamoru TASAKA 2010-03-19 19:45:40 UTC
Will review.

By the way I would appreciate it if you would review my review
request (bug 575235)

Comment 2 Mamoru TASAKA 2010-03-21 13:36:48 UTC
spot, would you tell me how I should handle the following
license?

http://www.amqp.org/confluence/display/AMQP/AMQP+License

Comment 3 Matthew Kent 2010-03-28 05:31:51 UTC
ping!(In reply to comment #2)
> spot, would you tell me how I should handle the following
> license?
> 
> http://www.amqp.org/confluence/display/AMQP/AMQP+License    

ping! We waiting on a legal expert?

fwiw Red Hat provides an amqp messaging solution and is listed as a copyright holder: http://www.redhat.com/solutions/specifications/amqp/

Comment 4 Tom "spot" Callaway 2010-04-19 17:26:44 UTC
So, that license is for the AMQP Specification, not the implementation. Unfortunately, the license is non-free, but it doesn't necessarily mean that the implementations of the AMQP specification are.

It does mean that we should not be shipping copies of the AMQP Specification in Fedora. Unfortunately, it looks like amqp-0.6.7/protocol/amqp-0.8.xml is either a copy of the specification or is under the AMQP specification license, which is a showstopper, unless it can be removed. (Note: amqp-0.6.7/protocol/amqp-0.8.json is MIT, which is fine.)

Comment 5 Mamoru TASAKA 2010-04-29 17:08:03 UTC
Matthew, ping?

Comment 6 Matthew Kent 2010-05-04 06:53:57 UTC
(In reply to comment #5)
> Matthew, ping?    

Apologies for the slow reply.

I'm assuming I'm okay to just drop the file? It's not required by the code at all.

Spec URL: http://magoazul.com/wip/SPECS/rubygem-amqp.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-amqp-0.6.7-2.fc14.src.rpm

* Mon May 3 2010 Matthew Kent <mkent@magoazul.com> - 0.6.7-2
- Remove amqp specification with incompatible license

Comment 7 Mamoru TASAKA 2010-05-05 13:16:15 UTC
Okay, this can be approved.
spot, thank you for clarifying license issue.

-------------------------------------------------------------
    This package (rubygem-amqp) is APPROVED by mtasaka
-------------------------------------------------------------

Comment 8 Matthew Kent 2010-05-06 07:22:11 UTC
New Package CVS Request
=======================
Package Name: rubygem-amqp
Short Description: AMQP client implementation in Ruby/EventMachine
Owners: mkent
Branches: F-11 F-12 F-13
InitialCC:

Comment 9 Kevin Fenzi 2010-05-06 15:25:18 UTC
CVS done (by process-cvs-requests.py).

Comment 10 Fedora Update System 2010-05-10 06:53:11 UTC
rubygem-amqp-0.6.7-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-amqp-0.6.7-2.fc11

Comment 11 Fedora Update System 2010-05-10 06:54:15 UTC
rubygem-amqp-0.6.7-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-amqp-0.6.7-2.fc12

Comment 12 Fedora Update System 2010-05-10 06:55:24 UTC
rubygem-amqp-0.6.7-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-amqp-0.6.7-2.fc13

Comment 13 Fedora Update System 2010-05-10 16:56:16 UTC
rubygem-amqp-0.6.7-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-05-10 17:07:43 UTC
rubygem-amqp-0.6.7-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-05-10 23:48:00 UTC
rubygem-amqp-0.6.7-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Michael Stahnke 2010-09-10 18:37:33 UTC
Package Change Request
======================
Package Name: rubygem-amqp
New Branches: el5 el6
Owners: stahnma

Comment 17 Kevin Fenzi 2010-09-10 18:46:03 UTC
Git done (by process-git-requests).